#pragma once

#ifndef QTWIDGETSCLASS_IMAGESETTING_H
#define QTWIDGETSCLASS_IMAGESETTING_H

#include "AllHead.h"
#include <QWidget>
#include "ui_QtWidgetsClass_ImageSetting.h"

class QtWidgetsClass_ImageSetting : public QWidget, public FEKOBase::FEKOSimulationDataparamsHandler
{
	Q_OBJECT
 
public slots:
	void FEKOSimulationDataparamsChanged_slots();
public:
	void bandingsetFEKOSimulationDataparams() override;

public:
	QtWidgetsClass_ImageSetting(QWidget *parent = nullptr);
	~QtWidgetsClass_ImageSetting();

signals:
 
	void OKClick( );

public slots:
	void on_pushButton_OK_clicked();

private:
	Ui::QtWidgetsClass_ImageSettingClass ui;
};



#endif